Bug 1309114 - hp-scan parameters ignored
hp-scan parameters ignored
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 17:21 EST by Dominique Brazziel
Modified: 2016-12-20 13:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:46:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominique Brazziel 2016-02-16 17:21:54 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dominique Brazziel 2016-02-16 17:30:47 EST
Description of problem:
The two most important command line parameters, 'device-URI'/'CUPS printer' and
output destination, are ignored.  They are not being parsed correctly.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Enter 'hp-scan --dp={CUPS printer queue}' --dest=file -o {file name}' or 'hp-scan --dd={device URI} --dest=file -o {file name}  
2. hp-scan prompts me to select one of two URIs associated with the device URI I entered
3. If the output file is not quoted, hp-scan names the file hpscanXX.png

Actual results:


Expected results:
Scan the file and put the output in the file one specifies.

Additional info:
There is no man file for hp-scan.  The only clues given as to how the program
was _intended_ to work is the help file, which does a very poor job of explaining what should be specified, and in large part, does not match the actual behavior of the program.
Comment 2 Dominique Brazziel 2016-03-02 12:50:04 EST
I errored in posting the test command line, I was able to get the following to work:

hp-scan -d "hpaio:/net/officejet_pro_6830?ip=XXX.XXX.XXX.XXX&queue=false" -s file -o {output file name}

Note the destination URI has to be quoted, and the only way to see the expected 
destination URI is to run hp-scan without parameters, after which I was prompted to select from 2 choices:

hp-scan -s file -o test.jpg

HP Linux Imaging and Printing System (ver. 3.16.2)
Scan Utility ver. 2.2

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


-----------------
| SELECT DEVICE |
-----------------

  Num       Scan device URI                                         
  --------  --------------------------------------------------------
  0*        hpaio:/net/officejet_pro_6830?ip=192.168.1.2&queue=false
  1         hpaio:/net/Officejet_Pro_6830?zc=HP5CB9012BB7CD   

Neither choice is intuitive.  The default (0*) comes closest because it includes
the IP address of the printer, but perhaps the special characters (?, &) cause it to need to be quoted.

Specifying the CUPS printer queue name fails:       

lpstat -s
system default destination: HPOJ6830

hp-scan -p HPOJ6830 -s file -o test.jpg

HP Linux Imaging and Printing System (ver. 3.16.2)
Scan Utility ver. 2.2

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: 'HPOJ6830' device doesn't support this feature (or) Invalid printer name
Comment 3 Fedora Admin XMLRPC Client 2016-06-24 06:37:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 10:36:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 13:46:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.